claw::log_stream Class Referenceabstract

Base class for streams accepting log output. More...

`#include <log_stream.hpp>`

Inheritance diagram for claw::log_stream:

## Public Member Functions

virtual | ~log_stream ()
| Destructor.
virtual void | write (const std::string &str)=0
virtual void | flush ()
| Flush the stream.

## Detailed Description

Base class for streams accepting log output.

Author
  Julien Jorge

Definition at line 59 of file log_stream.hpp.

## Constructor & Destructor Documentation

## ~log_stream()

claw::log_stream::~log_stream | ( |  | ) |

virtual

Destructor.

Definition at line 37 of file log_stream.cpp.

## Member Function Documentation

## flush()

void claw::log_stream::flush | ( |  | ) |

virtual

Flush the stream.

Reimplemented in claw::console_logger, claw::file_logger, claw::log_stream_concise, and claw::log_stream_uniq.

Definition at line 46 of file log_stream.cpp.

## write()

virtual void claw::log_stream::write | ( | const std::string & | str | ) |

pure virtual

Implemented in claw::console_logger, claw::file_logger, claw::log_stream_concise, and claw::log_stream_uniq.

The documentation for this class was generated from the following files:

- log_stream.hpp
- code/log_stream.cpp